function varargout = bl_ICON_sampler(varargin)
% BL_ICON_SAMPLER MATLAB code for bl_ICON_sampler.fig
%      BL_ICON_SAMPLER, by itself, creates a new BL_ICON_SAMPLER or raises the existing
%      singleton*.
%
%      H = BL_ICON_SAMPLER returns the handle to a new BL_ICON_SAMPLER or the handle to
%      the existing singleton*.
%
%      BL_ICON_SAMPLER('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in BL_ICON_SAMPLER.M with the given input arguments.
%
%      BL_ICON_SAMPLER('Property','Value',...) creates a new BL_ICON_SAMPLER or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before bl_ICON_sampler_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to bl_ICON_sampler_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help bl_ICON_sampler

% Last Modified by GUIDE v2.5 28-Sep-2018 22:00:02

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @bl_ICON_sampler_OpeningFcn, ...
                   'gui_OutputFcn',  @bl_ICON_sampler_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before bl_ICON_sampler is made visible.
function bl_ICON_sampler_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to bl_ICON_sampler (see VARARGIN)

% Choose default command line output for bl_ICON_sampler
handles.output = hObject;

deactivate_anal(handles)
deactivate_opts(handles)

movegui(gcf,'center')

addpath('bl_icon_SRC')

handles.col.D     = 'g';
handles.col.A     = 'r';
handles.col.E     = 'b';
handles.col.e     = 'c';
handles.meas.In_D     = nan(1,0);
handles.meas.In_A     = nan(1,0);
handles.meas.units_t  = [];
handles.meas.units_I  = [];
handles.meas.dt       = [];
handles.meas.dD       = [];
handles.meas.c_D      = [];
handles.meas.c_A      = [];
handles.meas.q_D      = [];
handles.meas.q_A      = [];
handles.chain         = [];


% Update handles structure
guidata(hObject, handles);

% UIWAIT makes bl_ICON_sampler wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = bl_ICON_sampler_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

[filename, pathname] = uigetfile( {'*.txt','Text files (*.txt)' ;'*.mat','MAT-files (*.mat)' }, ...
                                 'Import donor trace', ...
                                 'MultiSelect', 'off');
if ~isequal(filename,0)
    handles.meas.In_D = load([pathname,filename]);
    
    update_meas(handles)    

    handles.pushbutton1.Enable = 'off';
    handles.pushbutton4.Enable = 'on';

    guidata(hObject,handles)
end










% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

[filename, pathname] = uigetfile( {'*.txt','Text files (*.txt)' ;'*.mat','MAT-files (*.mat)' }, ...
                                 'Import acceptor trace', ...
                                 'MultiSelect', 'off');
if ~isequal(filename,0)
    handles.meas.In_A = load([pathname,filename]);
    
    update_meas(handles)    

    handles.pushbutton2.Enable = 'off';
    handles.pushbutton4.Enable = 'on';

    guidata(hObject,handles)
end




% --- Executes on button press in pushbutton3.
function pushbutton3_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    answer = inputdlg({'Units of time',...
                       'Units of intensity',...
                       'Frame rate in inverse units of time',...
                       'Exposure time in units of time',...
                       'Cross-talk coefficient (donor-to-donor)',...
                       'Cross-talk coefficient (acceptor-to-acceptor)',...
                       'Quantum efficiency (donor wavelength)',...
                       'Quantum efficiency (acceptor wavelength)'},...
              'Import parameters', [1 46; 1 46; 1 46; 1 46; 1 46; 1 46; 1 46; 1 46], ...
              {'s','photons','100','0.009','0.90','0.75','0.90','0.85'}); 
        
if ~isempty(answer)
    
    handles.meas.units_t  = answer{1};
    handles.meas.units_I  = answer{2};
    handles.meas.dt       = 1/str2num(answer{3});
    handles.meas.dD       = str2num(answer{4});
    handles.meas.c_D      = str2num(answer{5});
    handles.meas.c_A      = str2num(answer{6});
    handles.meas.q_D      = str2num(answer{7});
    handles.meas.q_A      = str2num(answer{8});

    handles.pushbutton3.Enable = 'off';
    handles.pushbutton4.Enable = 'on';

    guidata(hObject,handles)
    
    update_meas(handles)    

end




% --- Executes on button press in pushbutton4.
function pushbutton4_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

handles.meas.In_D     = nan(1,0);
handles.meas.In_A     = nan(1,0);
handles.meas.units_t  = [];
handles.meas.units_I  = [];
handles.meas.dt       = [];
handles.meas.dD       = [];
handles.meas.c_D      = [];
handles.meas.c_A      = [];
handles.meas.q_D      = [];
handles.meas.q_A      = [];

handles.pushbutton1.Enable = 'on';
handles.pushbutton2.Enable = 'on';
handles.pushbutton3.Enable = 'on';
handles.pushbutton4.Enable = 'off';

update_meas(handles)
deactivate_opts(handles)

guidata(hObject,handles)





% --- Executes on button press in pushbutton5.
function pushbutton5_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
hFig = figure('Menubar','none', 'Toolbar','none','numbertitle','off','name','bl-ICON README');
set(hFig,'Units','Characters','Position',get(hFig,'Position').*[1 1 0 1]+[0 0 125 0]);
uicontrol(hFig, 'Style','edit',...
    'Min',0, 'Max',2, 'HorizontalAlignment','left', ...
    'Units','normalized', 'Position',[0 0 1 1], ...
    'String',fileread('README.txt'));
movegui(hFig,'center');


% --- Executes on button press in pushbutton6.
function pushbutton6_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
answer = questdlg('Would you like to exit?','Exit bl-ICON','Yes','No', 'Yes');
if strcmp(answer,'Yes')
    close(gcf)
end


% --- Executes on button press in pushbutton7.
function pushbutton7_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

answer = questdlg('Would you like to reset bl-ICON?','reset bl-ICON','Yes','No', 'Yes');
if strcmp(answer,'Yes')
    handles.meas.In_D     = nan(1,0);
    handles.meas.In_A     = nan(1,0);
    handles.meas.units_t  = [];
    handles.meas.units_I  = [];
    handles.meas.dt       = [];
    handles.meas.dD       = [];
    handles.meas.c_D      = [];
    handles.meas.c_A      = [];
    handles.meas.q_D      = [];
    handles.meas.q_A      = [];
    handles.chain         = [];
    
    update_anal(handles)
    update_meas(handles)
    deactivate_anal(handles)
    deactivate_opts(handles)
    
    handles.pushbutton1.Enable = 'on';
    handles.pushbutton2.Enable = 'on';
    handles.pushbutton3.Enable = 'on';
    handles.pushbutton4.Enable = 'off';
    
    
    handles.pushbutton9.Enable = 'Off';
    handles.pushbutton9.String = 'Show results';

    handles.pushbutton10.Enable = 'Off';
    handles.pushbutton10.String = 'Expand MCMC chain';

end


% --- Executes on button press in pushbutton8.
function pushbutton8_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
[filename, pathname] = uiputfile({ '*.mat','MAT-files (*.mat)'},...
                                   'Save MCMC chain','MCMC.mat');
if ~isequal(filename,0)
    chain = handles.chain;
    save( [pathname,filename], 'chain' );
end


% --- Executes on button press in pushbutton9.
function pushbutton9_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
handles.pushbutton9.Enable = 'Off';
handles.pushbutton9.String = 'Wait...';
drawnow
if ishandle(21)
      close(21)
end
if ishandle(22)
      close(22)
end
if ishandle(23)
      close(23)
end
if ishandle(24)
      close(24)
end
show_priors(handles.chain,20);
show_estimates_photo_physics(handles.chain,0.25,2,21);
show_estimates_emission_rates(handles.chain,0.25,2,22);
show_estimates_efficiency(handles.chain,0.25,2,23);
show_estimates_trace_efficiency(handles.chain,0.25,2,24);
handles.pushbutton9.Enable = 'On';
handles.pushbutton9.String = 'Show results';


% --- Executes on button press in pushbutton10.
function pushbutton10_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

handles.pushbutton10.Enable = 'Off';
handles.pushbutton10.String = 'Wait...';

handles.chain = chainer_main(handles.chain, ceil( str2num(handles.edit1.String) ),[], logical(handles.checkbox1.Value), logical(handles.checkbox2.Value));

update_anal(handles)

guidata(hObject,handles)

handles.pushbutton10.Enable = 'On';
handles.pushbutton10.String = 'Expand MCMC chain';



% --- Executes on button press in checkbox1.
function checkbox1_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox1


% --- Executes on button press in checkbox2.
function checkbox2_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox2



function edit1_Callback(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit1 as text
%        str2double(get(hObject,'String')) returns contents of edit1 as a double


% --- Executes during object creation, after setting all properties.
function edit1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% --- Executes on button press in pushbutton11.
function pushbutton11_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
opts.M             = str2num(handles.edit2.String);
opts.gamma         = str2num(handles.edit3.String);
opts.alpha = str2num(handles.edit5.String);
opts.tht_prior_phi = str2num(handles.edit4.String);
opts.tht_prior_psi = str2num(handles.edit6.String);

opts.wi_D_prior_eta  = [str2num(handles.edit29.String),str2num(handles.edit12.String),str2num(handles.edit14.String)];
opts.wi_D_prior_zeta = [str2num(handles.edit11.String),str2num(handles.edit13.String),str2num(handles.edit15.String)];
opts.kap_D_prior_phi = str2num(handles.edit16.String);
opts.kap_D_prior_psi = str2num(handles.edit17.String);
opts.rho_D_prior_phi = str2num(handles.edit18.String);
opts.rho_D_prior_psi = str2num(handles.edit27.String);

opts.wi_A_prior_eta  = [str2num(handles.edit30.String),str2num(handles.edit20.String),str2num(handles.edit22.String)];
opts.wi_A_prior_zeta = [str2num(handles.edit19.String),str2num(handles.edit21.String),str2num(handles.edit23.String)];
opts.kap_A_prior_phi = str2num(handles.edit24.String);
opts.kap_A_prior_psi = str2num(handles.edit25.String);
opts.rho_A_prior_phi = str2num(handles.edit26.String);
opts.rho_A_prior_psi = str2num(handles.edit28.String);

opts.HMC_eps = str2num(handles.edit8.String);
opts.HMC_L   = str2num(handles.edit7.String);
opts.MH_a_D  = str2num(handles.edit9.String);
opts.MH_a_A  = str2num(handles.edit10.String);

opts.In_D = handles.meas.In_D;
opts.In_A = handles.meas.In_A;
opts.units_t = handles.meas.units_t;
opts.units_I = handles.meas.units_I;
opts.dt = handles.meas.dt;
opts.dD = handles.meas.dD;
opts.c_D = handles.meas.c_D;     
opts.c_A = handles.meas.c_A; 
opts.q_D = handles.meas.q_D;     
opts.q_A = handles.meas.q_A; 

handles.chain = chainer_main([],0, opts, false, false);
update_anal(handles)

activate_anal(handles);
deactivate_opts(handles);
handles.pushbutton4.Enable = 'off';

guidata(hObject,handles)



% --- Executes on button press in pushbutton12.
function pushbutton12_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

answer = questdlg('Would you like to delete existing MCMC chain?','Delete MCMC chain','Yes','No', 'Yes');
if strcmp(answer,'Yes')
    handles.chain = [];
    update_anal(handles)
    activate_opts(handles)
    deactivate_anal(handles)
    handles.pushbutton4.Enable = 'On';
    guidata(hObject,handles)
end


function edit2_Callback(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit2 as text
%        str2double(get(hObject,'String')) returns contents of edit2 as a double


% --- Executes during object creation, after setting all properties.
function edit2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit3_Callback(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit3 as text
%        str2double(get(hObject,'String')) returns contents of edit3 as a double


% --- Executes during object creation, after setting all properties.
function edit3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit4_Callback(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit4 as text
%        str2double(get(hObject,'String')) returns contents of edit4 as a double


% --- Executes during object creation, after setting all properties.
function edit4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit5_Callback(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit5 as text
%        str2double(get(hObject,'String')) returns contents of edit5 as a double


% --- Executes during object creation, after setting all properties.
function edit5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit6_Callback(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit6 as text
%        str2double(get(hObject,'String')) returns contents of edit6 as a double


% --- Executes during object creation, after setting all properties.
function edit6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit7_Callback(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit7 as text
%        str2double(get(hObject,'String')) returns contents of edit7 as a double


% --- Executes during object creation, after setting all properties.
function edit7_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit8_Callback(hObject, eventdata, handles)
% hObject    handle to edit8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit8 as text
%        str2double(get(hObject,'String')) returns contents of edit8 as a double


% --- Executes during object creation, after setting all properties.
function edit8_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit9_Callback(hObject, eventdata, handles)
% hObject    handle to edit9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit9 as text
%        str2double(get(hObject,'String')) returns contents of edit9 as a double


% --- Executes during object creation, after setting all properties.
function edit9_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit10_Callback(hObject, eventdata, handles)
% hObject    handle to edit10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit10 as text
%        str2double(get(hObject,'String')) returns contents of edit10 as a double


% --- Executes during object creation, after setting all properties.
function edit10_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit11_Callback(hObject, eventdata, handles)
% hObject    handle to edit11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit11 as text
%        str2double(get(hObject,'String')) returns contents of edit11 as a double


% --- Executes during object creation, after setting all properties.
function edit11_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit12_Callback(hObject, eventdata, handles)
% hObject    handle to edit12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit12 as text
%        str2double(get(hObject,'String')) returns contents of edit12 as a double


% --- Executes during object creation, after setting all properties.
function edit12_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit13_Callback(hObject, eventdata, handles)
% hObject    handle to edit13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit13 as text
%        str2double(get(hObject,'String')) returns contents of edit13 as a double


% --- Executes during object creation, after setting all properties.
function edit13_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit14_Callback(hObject, eventdata, handles)
% hObject    handle to edit14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit14 as text
%        str2double(get(hObject,'String')) returns contents of edit14 as a double


% --- Executes during object creation, after setting all properties.
function edit14_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit15_Callback(hObject, eventdata, handles)
% hObject    handle to edit15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit15 as text
%        str2double(get(hObject,'String')) returns contents of edit15 as a double


% --- Executes during object creation, after setting all properties.
function edit15_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit16_Callback(hObject, eventdata, handles)
% hObject    handle to edit16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit16 as text
%        str2double(get(hObject,'String')) returns contents of edit16 as a double


% --- Executes during object creation, after setting all properties.
function edit16_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit17_Callback(hObject, eventdata, handles)
% hObject    handle to edit17 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit17 as text
%        str2double(get(hObject,'String')) returns contents of edit17 as a double


% --- Executes during object creation, after setting all properties.
function edit17_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit17 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit18_Callback(hObject, eventdata, handles)
% hObject    handle to edit18 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit18 as text
%        str2double(get(hObject,'String')) returns contents of edit18 as a double


% --- Executes during object creation, after setting all properties.
function edit18_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit18 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit19_Callback(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit19 as text
%        str2double(get(hObject,'String')) returns contents of edit19 as a double


% --- Executes during object creation, after setting all properties.
function edit19_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit20_Callback(hObject, eventdata, handles)
% hObject    handle to edit20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit20 as text
%        str2double(get(hObject,'String')) returns contents of edit20 as a double


% --- Executes during object creation, after setting all properties.
function edit20_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit21_Callback(hObject, eventdata, handles)
% hObject    handle to edit21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit21 as text
%        str2double(get(hObject,'String')) returns contents of edit21 as a double


% --- Executes during object creation, after setting all properties.
function edit21_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit22_Callback(hObject, eventdata, handles)
% hObject    handle to edit22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit22 as text
%        str2double(get(hObject,'String')) returns contents of edit22 as a double


% --- Executes during object creation, after setting all properties.
function edit22_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit23_Callback(hObject, eventdata, handles)
% hObject    handle to edit23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit23 as text
%        str2double(get(hObject,'String')) returns contents of edit23 as a double


% --- Executes during object creation, after setting all properties.
function edit23_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit24_Callback(hObject, eventdata, handles)
% hObject    handle to edit24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit24 as text
%        str2double(get(hObject,'String')) returns contents of edit24 as a double


% --- Executes during object creation, after setting all properties.
function edit24_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit25_Callback(hObject, eventdata, handles)
% hObject    handle to edit25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit25 as text
%        str2double(get(hObject,'String')) returns contents of edit25 as a double


% --- Executes during object creation, after setting all properties.
function edit25_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit26_Callback(hObject, eventdata, handles)
% hObject    handle to edit26 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit26 as text
%        str2double(get(hObject,'String')) returns contents of edit26 as a double


% --- Executes during object creation, after setting all properties.
function edit26_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit26 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit27_Callback(hObject, eventdata, handles)
% hObject    handle to edit27 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit27 as text
%        str2double(get(hObject,'String')) returns contents of edit27 as a double


% --- Executes during object creation, after setting all properties.
function edit27_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit27 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit28_Callback(hObject, eventdata, handles)
% hObject    handle to edit28 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit28 as text
%        str2double(get(hObject,'String')) returns contents of edit28 as a double


% --- Executes during object creation, after setting all properties.
function edit28_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit28 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit29_Callback(hObject, eventdata, handles)
% hObject    handle to edit29 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit29 as text
%        str2double(get(hObject,'String')) returns contents of edit29 as a double


% --- Executes during object creation, after setting all properties.
function edit29_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit29 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit30_Callback(hObject, eventdata, handles)
% hObject    handle to edit30 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit30 as text
%        str2double(get(hObject,'String')) returns contents of edit30 as a double


% --- Executes during object creation, after setting all properties.
function edit30_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit30 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end















%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function deactivate_anal(handles)

handles.edit1.Enable = 'off';
handles.pushbutton10.Enable = 'off';

handles.checkbox1.Enable = 'off';
handles.checkbox2.Enable = 'off';

handles.pushbutton9.Enable = 'off';
handles.pushbutton8.Enable = 'off';
handles.pushbutton12.Enable = 'off';


function activate_anal(handles)

handles.edit1.Enable = 'on';
handles.pushbutton10.Enable = 'on';

handles.checkbox1.Enable = 'on';
handles.checkbox2.Enable = 'on';

handles.pushbutton12.Enable = 'on';





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function deactivate_opts(handles)

handles.edit2.Enable = 'off';
handles.edit3.Enable = 'off';
handles.edit4.Enable = 'off';
handles.edit5.Enable = 'off';
handles.edit6.Enable = 'off';

handles.edit29.Enable = 'off';
handles.edit30.Enable = 'off';

handles.edit11.Enable = 'off';
handles.edit12.Enable = 'off';
handles.edit13.Enable = 'off';
handles.edit14.Enable = 'off';
handles.edit15.Enable = 'off';
handles.edit16.Enable = 'off';
handles.edit17.Enable = 'off';
handles.edit18.Enable = 'off';

handles.edit19.Enable = 'off';
handles.edit20.Enable = 'off';
handles.edit21.Enable = 'off';
handles.edit22.Enable = 'off';
handles.edit23.Enable = 'off';
handles.edit24.Enable = 'off';
handles.edit25.Enable = 'off';
handles.edit26.Enable = 'off';
handles.edit27.Enable = 'off';
handles.edit28.Enable = 'off';

handles.edit7.Enable = 'off';
handles.edit8.Enable = 'off';
handles.edit9.Enable = 'off';
handles.edit10.Enable = 'off';

handles.pushbutton11.Enable = 'off';

handles.text38.Visible = 'Off';
handles.text38.String = '-';
handles.text38.String = '-';
handles.edit6.String = '-';



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function activate_opts(handles)

handles.edit2.Enable = 'on';
handles.edit3.Enable = 'on';
handles.edit4.Enable = 'on';
handles.edit5.Enable = 'on';
handles.edit6.Enable = 'on';

handles.edit29.Enable = 'on';
handles.edit30.Enable = 'on';

handles.edit11.Enable = 'on';
handles.edit12.Enable = 'on';
handles.edit13.Enable = 'on';
handles.edit14.Enable = 'on';
handles.edit15.Enable = 'on';
handles.edit16.Enable = 'on';
handles.edit17.Enable = 'on';
handles.edit18.Enable = 'on';

handles.edit19.Enable = 'on';
handles.edit20.Enable = 'on';
handles.edit21.Enable = 'on';
handles.edit22.Enable = 'on';
handles.edit23.Enable = 'on';
handles.edit24.Enable = 'on';
handles.edit25.Enable = 'on';
handles.edit26.Enable = 'on';
handles.edit27.Enable = 'on';
handles.edit28.Enable = 'on';

handles.edit7.Enable = 'on';
handles.edit8.Enable = 'on';
handles.edit9.Enable = 'on';
handles.edit10.Enable = 'on';

handles.pushbutton11.Enable = 'on';

handles.text38.Visible = 'On';
handles.text38.String = [handles.meas.units_I,'/',handles.meas.units_t];
handles.edit6.String = num2str(0.5*(sum(handles.meas.In_A)+sum(handles.meas.In_D))/length(handles.meas.In_D),2);




% --- Executes during object creation, after setting all properties.
function axes1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes1
if isfield(handles,'meas')
    ylabel({'Intensity',['(',handles.meas.units_I,')']})
else
    ylabel({'Intensity'})
end    





function update_meas(handles)

delete(handles.axes1.Children)
delete(handles.axes2.Children)

axes(handles.axes1)
len = {};
if ~isempty(handles.meas.In_D)
    hold on
    stairs(1:length(handles.meas.In_D),handles.meas.In_D,'color',handles.col.D);
    len{end+1} = 'Donor';
    hold off
end
if ~isempty(handles.meas.In_A)
    hold on
    stairs(1:length(handles.meas.In_A),handles.meas.In_A,'color',handles.col.A);
    len{end+1} = 'Acceptor';
    hold off
end

legend(len,'location','NE','orientation','horizontal')
legend boxoff

handles.axes2.XLim = handles.axes1.XLim;



axes(handles.axes2)
if ~isempty(handles.meas.In_D) && ~isempty(handles.meas.In_A)
    hold on
    stairs(1:length(handles.meas.In_D),100*handles.meas.In_A./(handles.meas.In_A+handles.meas.In_D),'color',handles.col.E);
    hold off
end    


if ~isempty(handles.meas.In_D   ) && ...
   ~isempty(handles.meas.In_A   ) && ...
   ~isempty(handles.meas.units_t) && ...
   ~isempty(handles.meas.dt     ) && ...
   ~isempty(handles.meas.dD     ) && ...
   ~isempty(handles.meas.c_D    ) && ...
   ~isempty(handles.meas.c_A    )
    
    activate_opts(handles);   
end
    





function update_anal(handles)

delete(handles.axes3.Children)
delete(handles.axes4.Children)

if ~isempty(handles.chain)

    ind = find( handles.chain.i >= floor( handles.chain.i(end)*0.25 ) );

    axes(handles.axes3)
    hold on
    line(handles.chain.i,100*handles.chain.eff,'linestyle','none','marker','.','color',handles.col.E)
    xlim([0 handles.chain.i(end)+1])
    h = patch([handles.axes3.XLim(1) handles.chain.i(ind(1)) handles.chain.i(ind(1)) handles.axes3.XLim(1)], ...
              [handles.axes3.YLim(1) handles.axes3.YLim(1)   handles.axes3.YLim(2)   handles.axes3.YLim(2)], ...
               handles.col.e,'edgecolor','none');
    uistack(h,'bottom');
    len = legend('Burn in','MCMC samples','location','NW');
    len.EdgeColor = 'w';
    hold off

    axes(handles.axes4)
    if handles.chain.length>1
        hold on
        histogram(100*handles.chain.eff(ind,:),linspace(0,100,75),'facecolor',handles.col.E,'orientation','horizontal','normalization','pdf')
        hold off
    end

    handles.axes4.YLim = handles.axes3.YLim;
    handles.axes4.YTick = handles.axes3.YTick;
    handles.axes4.YTickLabel = [];
    handles.axes4.XTickLabel = [];

    if handles.chain.length>1
        handles.pushbutton9.Enable = 'on';
        handles.pushbutton8.Enable = 'on';
    end

end



% --- Executes during object creation, after setting all properties.
function axes2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes2
xlabel('Timestamp (steps)')
ylabel({'Apparent FRET','efficiency (%)'})


% --- Executes during object creation, after setting all properties.
function text38_CreateFcn(hObject, eventdata, handles)
% hObject    handle to text38 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes during object creation, after setting all properties.
function axes3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes3
xlabel('MCMC iteration')
ylabel('Estimated FRET efficiency (%)')
