function sample = sampler_init_sample(params,opts)


%% counter
sample.i = 0;


%% states
sample.sn   = ones(1,params.N);
sample.fn_D = ones(1,params.N);
sample.fn_A = ones(1,params.N);


%% transition probs
sample.bm = params.gamma*ones(1,params.M)/params.M;  % weak limit base
sample.pm = dirrnd( params.alpha*sample.bm(ones(params.M,1),:) );
sample.ps = dirrnd( params.alpha*sample.bm );


%% photophysics
sample.wi_D = betarnd( params.wi_D_prior_eta, params.wi_D_prior_zeta );
sample.wi_A = betarnd( params.wi_A_prior_eta, params.wi_A_prior_zeta );

% % for blinking removal
% sample.wi_D = [1 1 1];
% sample.wi_A = [1 1 1];


%% emission rates and multipliers
sample.tht   = gamrnd( params.tht_prior_phi, params.tht_prior_psi/params.tht_prior_phi );

sample.rho_D = gamrnd( params.rho_D_prior_phi, params.rho_D_prior_psi/params.rho_D_prior_phi );
sample.rho_A = gamrnd( params.rho_A_prior_phi, params.rho_A_prior_psi/params.rho_A_prior_phi );

sample.kap_D = gamrnd( params.kap_D_prior_phi, params.kap_D_prior_psi/params.kap_D_prior_phi , 1, params.M );
sample.kap_A = gamrnd( params.kap_A_prior_phi, params.kap_A_prior_psi/params.kap_A_prior_phi , 1, params.M );
sample.kap_S = gamrnd( params.kap_S_prior_phi, params.kap_S_prior_psi/params.kap_S_prior_phi , 1, 1        );


%% aux
[sample.ksi_D,sample.ksi_A, ...
 sample.lam_D,sample.lam_A,sample.lam_S, sample.eff] = update_aux(sample.tht, sample.rho_D,sample.rho_A, ...
                                                                              sample.kap_D,sample.kap_A, sample.kap_S );

%% misc
sample.rec = repmat([0 realmin],3,1);


