function show_estimates_efficiency(chain,fr,dr,win)

idx = ceil(fr*chain.length):dr:chain.length;

eff_star = 100*chain.params.In_A./(chain.params.In_A+chain.params.In_D);
eff_mcmc = 100*chain.eff(idx,:);
               

%%
figure(win)
clf

col_meas = [0 1 1];
col_mcmc = [0 0 1];

h1 = histogram(eff_star,75,'normalization','pdf','orientation','horizontal','facecolor',col_meas);
hold on
h2 = histogram(eff_mcmc,75,'normalization','pdf','orientation','horizontal','facecolor',col_mcmc);
hold off
ylim([0 100])
box off
xlabel('Probability density')
ylabel('FRET efficiency (%)')
legend([h2,h1],'Estimated','Apparent')
legend boxoff

