function show_estimates_emission_rates(chain,fr,dr,win)

idx = ceil(fr*chain.length):dr:chain.length;

ksi_D_mcmc = chain.ksi_D(idx);
ksi_A_mcmc = chain.ksi_A(idx);

lam_D_star = chain.params.In_D/chain.params.dD;
lam_D_mcmc = chain.lam_D(idx,:);

lam_A_star = chain.params.In_A/chain.params.dD;
lam_A_mcmc = chain.lam_A(idx,:);


%%
figure(win)
clf

col_D_meas = [0.8 1.0 0.8];
col_D_mcmc = [0 1 0];

col_A_meas = [1.0 0.5 0.5];
col_A_mcmc = [1 0 0];


ax1 = subplot(3,2,[1 3]);
h1 = histogram(lam_D_star,45,'normalization','pdf','orientation','horizontal','facecolor',col_D_meas);
hold on
h2 = histogram(lam_D_mcmc,125,'normalization','pdf','orientation','horizontal','facecolor',col_D_mcmc);
hold off
ylim([0 3*mean(lam_D_mcmc(:))])
box off
xlabel('Probability density')
ylabel({'Molecule emission rate',['(',chain.params.units_I,'/',chain.params.units_t,')']})
legend([h2,h1],'Estimated','Apparent')
legend boxoff
title('Donor')



ax2 = subplot(3,2,[2 4]);
h1 = histogram(lam_A_star,45,'normalization','pdf','orientation','horizontal','facecolor',col_A_meas);
hold on
h2 = histogram(lam_A_mcmc,125,'normalization','pdf','orientation','horizontal','facecolor',col_A_mcmc);
hold off
ylim([0 3*mean(lam_A_mcmc(:))])
box off
xlabel('Probability density')
ylabel({'Molecule emission rate',['(',chain.params.units_I,'/',chain.params.units_t,')']})
legend([h2,h1],'Estimated','Apparent')
legend boxoff
title('Acceptor')


ylim(ax1,[0 max([get(ax1,'Ylim'),get(ax2,'Ylim')])])
ylim(ax2,[0 max([get(ax1,'Ylim'),get(ax2,'Ylim')])])







ax3 = subplot(3,2,5);
histogram(ksi_D_mcmc,25,'normalization','pdf','orientation','horizontal','facecolor',col_D_mcmc);
%ylim([0 100])
box off
xlabel('Probability density')
ylabel({'Background emission rate',['(',chain.params.units_I,'/',chain.params.units_t,')']})


ax4 = subplot(3,2,6);
histogram(ksi_A_mcmc,25,'normalization','pdf','orientation','horizontal','facecolor',col_A_mcmc);
%ylim([0 100])
box off
xlabel('Probability density')
ylabel({'Background emission rate',['(',chain.params.units_I,'/',chain.params.units_t,')']})


ylim(ax3,[0 max([get(ax3,'Ylim'),get(ax4,'Ylim')])])
ylim(ax4,[0 max([get(ax3,'Ylim'),get(ax4,'Ylim')])])
