function show_estimates_trace_efficiency(chain,fr,dr,win)

idx = ceil(fr*chain.length):dr:chain.length;

eff_star = 100*chain.params.In_A./(chain.params.In_A+chain.params.In_D);
      
eff_mcmc = nan(length(idx),chain.params.N);
for j=1:length(idx)
    eff_mcmc(j,:) = chain.eff(idx(j),chain.sn(idx(j),:));
end
eff_mcmc = 100*eff_mcmc;

t = (0.5:1:chain.params.N)*chain.params.dt;

eff_medn = median(eff_mcmc);

[~,j_medn] = min(sum(bsxfun(@minus,eff_medn,eff_mcmc).^2,2));
eff_medn_best = eff_mcmc(j_medn,:);




%%
Q = 19;
q = linspace(0,1,2*Q+3); q([1 Q+2 end]) = [];

eff_quan = quantile(eff_mcmc,q);


figure(win)
clf

col_meas = [1 1 0];
col_medn = [0 0 0];

col_1 = [0, 1, 1];
col_2 = [0, 0, 1];
col_quad = [linspace(col_1(1),col_2(1),Q)', linspace(col_1(2),col_2(2),Q)', linspace(col_1(3),col_2(3),Q)'];


h(1) = plot(t,eff_star,'color',col_meas);
hold on
for i=1:Q
    H(i) = fill([t t(end:-1:1)],[eff_quan(i,:) eff_quan(end-i+1,end:-1:1)],col_quad(i,:),'edgecolor',col_quad(i,:));
end
h(2) = line(t,eff_medn_best,'linestyle','-' ,'color',col_medn);
hold off

ylim([0 100])

box off
xlabel(['Time (',chain.params.units_t,')'])
ylabel('FRET efficiency (%)')
len1 = legend(h,{'Apparent';'Best estimate'},'location','NorthEastOutside');
legend boxoff


ax1 = gca;
ax2 = axes('Position',ax1.Position);
set(ax2, 'Color','none', 'XTick',[], 'YTick',[],'Box','off')
len2 = legend(ax2,H,cellstr(num2str([q(1:Q)' q(end:-1:Q+1)']*100,'% 2.1f-%2.1f %%')),'location','SouthEastOutside','orientation','vertical','color','w');
legend boxoff

len2.Position(1) = len1.Position(1);
len2.Position(2) =  ax2.Position(1);
title(len2,{'Posterior';'quantiles'})

axes(ax1);


