function show_priors(chain,win)

figure(win)
clf

num = 3;

lambda_ref = mean( [chain.params.In_D(:);chain.params.In_A(:)]/chain.params.dD ) ;

w_lim = [0, 1.2*max([chain.params.In_D(:);chain.params.In_A(:)]/chain.params.dD)];

subplot(num,4,[0*4+1 (num-2)*4+1])
histogram(chain.params.In_D/chain.params.dD,'orientation','horizontal','normalization','pdf','facecolor','g')
hold on
histogram(chain.params.In_A/chain.params.dD,'orientation','horizontal','normalization','pdf','facecolor','r')
hold off
ylim(w_lim)
line(get(gca,'Xlim'),lambda_ref*[1 1],'color','k','linestyle',':')
title({'\lambda^{D}_*,\lambda^{A}_*',['(',chain.params.units_I,'/',chain.params.units_t,')']})
box off
grid on
set(gca,'XTickLabel',[])


subplot(num,4,[0*4+2 (num-2)*4+2])
ylim(w_lim)
xlim([0 1])
h = show_prior(gca,'gamma',chain.params.tht_prior_phi,chain.params.tht_prior_psi/chain.params.tht_prior_phi); h.Color = 'b';
line(get(gca,'Xlim'),lambda_ref*[1 1],'color','k','linestyle',':')
title({'Prior \theta',['(',chain.params.units_I,'/',chain.params.units_t,')']})
set(gca,'YTickLabel',[],'XTickLabel',[])
grid on

subplot(num,4,[0*4+3 (num-2)*4+3])
ylim(w_lim)
xlim([0 1])
h = show_prior(gca,'besselK',[chain.params.tht_prior_phi,chain.params.rho_D_prior_phi],[chain.params.tht_prior_psi,chain.params.rho_D_prior_psi]); h.Color = 'g'; h.LineStyle = '--';
h = show_prior(gca,'besselK',[chain.params.tht_prior_phi,chain.params.rho_A_prior_phi],[chain.params.tht_prior_psi,chain.params.rho_A_prior_psi]); h.Color = 'r'; h.LineStyle = '--';
line(get(gca,'Xlim'),lambda_ref*[1 1],'color','k','linestyle',':')
title({'Priors \xi^D,\xi^A',['(',chain.params.units_I,'/',chain.params.units_t,')']})
set(gca,'YTickLabel',[],'XTickLabel',[])
grid on


subplot(num,4,[0*4+4 (num-2)*4+4])
ylim(w_lim)
xlim([0 1])
h = show_prior(gca,'besselK',[chain.params.tht_prior_phi,chain.params.kap_D_prior_phi],[chain.params.tht_prior_psi,chain.params.kap_D_prior_psi]); h.Color = 'g'; h.LineStyle = '--';
h = show_prior(gca,'besselK',[chain.params.tht_prior_phi,chain.params.kap_A_prior_phi],[chain.params.tht_prior_psi,chain.params.kap_A_prior_psi]); h.Color = 'r'; h.LineStyle = '--';
h = show_prior(gca,'besselK',[chain.params.tht_prior_phi,chain.params.kap_S_prior_phi],[chain.params.tht_prior_psi,chain.params.kap_S_prior_psi]); h.Color = 'c'; h.LineStyle = '--';
line(get(gca,'Xlim'),lambda_ref*[1 1],'color','k','linestyle',':')
title({'Priors \lambda^D,\lambda^A,\lambda^S',['(',chain.params.units_I,'/',chain.params.units_t,')']})
set(gca,'YTickLabel',[],'XTickLabel',[])
grid on




subplot(num,4,(num-1)*4+1)
ylim([-10 110])
xlim([0 1])
h = show_prior(gca,'eff_custom',[chain.params.kap_D_prior_phi,chain.params.kap_D_prior_psi],...
                                [chain.params.kap_A_prior_phi,chain.params.kap_A_prior_psi]); h.Color = 'b'; h.LineStyle = '--';
line(get(gca,'Xlim'),  0*[1 1],'color','k','linestyle',':')
line(get(gca,'Xlim'),100*[1 1],'color','k','linestyle',':')
title({'Prior \epsilon','(%)'})
set(gca,'XTickLabel',[])
grid on



subplot(num,4,(num-1)*4+2)
ylim([0 5])
xlim([0 1])
BS_temp = linspace(min(get(gca,'Ylim')),max(get(gca,'Ylim')),1e3);
xD_temp = chain.params.rho_D_prior_psi/chain.params.kap_D_prior_psi * chain.params.kap_D_prior_phi / chain.params.rho_D_prior_phi * BS_temp;
xA_temp = chain.params.rho_A_prior_psi/chain.params.kap_A_prior_psi * chain.params.kap_A_prior_phi / chain.params.rho_A_prior_phi * BS_temp;
pD_temp = xD_temp.^(chain.params.kap_D_prior_phi-1).*(1+xD_temp).^(-chain.params.kap_D_prior_phi-chain.params.rho_D_prior_phi)/beta(chain.params.kap_D_prior_phi,chain.params.rho_D_prior_phi);
pA_temp = xA_temp.^(chain.params.kap_A_prior_phi-1).*(1+xA_temp).^(-chain.params.kap_A_prior_phi-chain.params.rho_A_prior_phi)/beta(chain.params.kap_A_prior_phi,chain.params.rho_A_prior_phi);
pD_temp = chain.params.rho_D_prior_psi/chain.params.kap_D_prior_psi * chain.params.kap_D_prior_phi / chain.params.rho_D_prior_phi * pD_temp;
pA_temp = chain.params.rho_A_prior_psi/chain.params.kap_A_prior_psi * chain.params.kap_A_prior_phi / chain.params.rho_A_prior_phi * pA_temp;
pD_temp = min(get(gca,'Xlim')) + 1*(max(get(gca,'Xlim'))-min(get(gca,'Xlim')))*pD_temp/max(pD_temp);
pA_temp = min(get(gca,'Xlim')) + 1*(max(get(gca,'Xlim'))-min(get(gca,'Xlim')))*pA_temp/max(pA_temp);
line(pD_temp,BS_temp,'color','g','linestyle','--','parent',gca);
line(pA_temp,BS_temp,'color','r','linestyle','--','parent',gca);
line(get(gca,'Xlim'),1*[1 1],'color','k','linestyle',':')
title({'Prior SBR^D,SBR^A','(1)'})
set(gca,'XTickLabel',[])
grid on



subplot(num,4,(num-1)*4+3)
ylim([0 5])
xlim([0 1])
h = show_prior(gca,'gamma',chain.params.rho_D_prior_phi,chain.params.rho_D_prior_psi/chain.params.rho_D_prior_phi); h.Color = 'g';
h = show_prior(gca,'gamma',chain.params.rho_A_prior_phi,chain.params.rho_A_prior_psi/chain.params.rho_A_prior_phi); h.Color = 'r';
line(get(gca,'Xlim'),1*[1 1],'color','k','linestyle',':')
title({'Priors \rho^D,\rho^A','(1)'})
set(gca,'XTickLabel',[])
grid on


subplot(num,4,(num-1)*4+4)
ylim([0 5])
xlim([0 1])
h = show_prior(gca,'gamma',chain.params.kap_D_prior_phi,chain.params.kap_D_prior_psi/chain.params.kap_D_prior_phi); h.Color = 'g';
h = show_prior(gca,'gamma',chain.params.kap_A_prior_phi,chain.params.kap_A_prior_psi/chain.params.kap_A_prior_phi); h.Color = 'r';
line(get(gca,'Xlim'),1*[1 1],'color','k','linestyle',':')
title({'Priors \kappa^D,\kappa^A','(1)'})
set(gca,'XTickLabel',[])
grid on






end

%%
function h = show_prior(ax,tag,p1,p2)

% RV
x_temp = linspace(min(get(ax,'Ylim')),max(get(ax,'Ylim')),1e3);

% PDF
switch tag
    case 'norm' % p1 = mu, p2 = sg
        p_temp = normpdf(x_temp,p1,p2)+eps; % PDF
    case 'symnorm' % p1 = mu, p2 = sg
        p_temp = 0.5*normpdf(x_temp,p1,p2)+0.5*normpdf(x_temp,-p1,p2)+eps; % PDF
    case 'gamma' % p1 = a, p2 = b
        p_temp = gampdf(x_temp,p1,p2); % PDF
    case 'eff_custom' % p1 = [phi_D,psi_D], p2 = [phi_A,psi_A]
        x_temp = x_temp/100;
        p_temp = (p2(2)/p1(2)*p1(1)/p2(1))^p1(1)/beta(p1(1),p2(1))*(1./x_temp-1).^(p1(1)-1).*(1+p2(2)/p1(2)*p2(1)/p1(1)*(1./x_temp-1)).^(-p1(1)-p2(1))./x_temp.^2;
        p_temp(x_temp<0) = 0;
        p_temp(x_temp>1) = 0;
        x_temp = x_temp*100;
    case 'besselK' % p1(1:2) = phi(1:2), p2 = psi(1:2)
        p_temp = eps + 2/(gamma(p1(1))*gamma(p1(2)))*(p1(1)*p1(2)/(p2(1)*p2(2))*x_temp).^(0.5*(p1(1)+p1(2))).*besselk(p1(1)-p1(2),2*sqrt(p1(1)*p1(2)/(p2(1)*p2(2))*x_temp))./x_temp;
        p_temp(x_temp<0) = 0;
    otherwise
        warning('Unknown tag (prior visualizer)')
end

% print
p_temp = min(get(ax,'Xlim')) + 1*(max(get(ax,'Xlim'))-min(get(ax,'Xlim')))*p_temp/max(p_temp);
h = line(p_temp,x_temp,'color','k','linestyle','-','parent',ax);

end



