function [fn_D,fn_A,sn] = update_states(pm, ps, ...
                                         wi_D,  wi_A, ...
                                        ksi_D, ksi_A, ...
                                        lam_D ,lam_A, lam_S, params )

%% form transtion probs for fluorophores only                             
p = nan(4);

p([1 3],[1 3]) = 1-wi_D(1);    % D: 0 -> 0
p([1 3],[2 4]) =   wi_D(1);    % D: 0 -> 1
p([2 4],[1 3]) = 1-wi_D(2);    % D: 1 -> 0
p([2 4],[2 4]) =   wi_D(2);    % D: 1 -> 1

p([1 2],[1 2]) = p([1 2],[1 2])*(1-wi_A(1));    % A: 0 -> 0
p([1 2],[3 4]) = p([1 2],[3 4])*   wi_A(1) ;    % A: 0 -> 1
p([3 4],[1 2]) = p([3 4],[1 2])*(1-wi_A(2));    % A: 1 -> 0
p([3 4],[3 4]) = p([3 4],[3 4])*   wi_A(2) ;    % A: 1 -> 1

o = nan(1,4);

o(      [1 3]) = 1-wi_D(3);    % D: s -> 0
o(      [2 4]) =   wi_D(3);    % D: s -> 1

o(      [1 2]) = o(     [1 2])*(1-wi_A(3));    % A: s -> 0
o(      [3 4]) = o(     [3 4])*   wi_A(3) ;    % A: s -> 1


%% form transtions probs in combined state-space                             
P = nan(  4*params.M);
O = nan(1,4*params.M);
for k = 1:params.M
    for m = 1:params.M
        P( 4*(m-1)+(1:4), 4*(k-1)+(1:4) ) = p*pm(m,k);
    end
        O(                4*(k-1)+(1:4) ) = o*ps(  k);
end


%% compute likelihood in combined state-space                             
A_forw = nan(4*params.M,params.N);
for m=1:params.M
    A_forw( 4*(m-1)+(1:4) , : ) = bsxfun(@times, params.In_D ,            log( params.dD*params.qD*( ksi_D + params.cDD*[0;1;0;1].*([0;0;1;1]*lam_D(m)+(1-[0;0;1;1])*lam_S) + params.cAD*[0;1;0;1].*[0;0;1;1]*lam_A(m) ) ) ) ...
                                + bsxfun(@times, params.In_A ,            log( params.dD*params.qA*( ksi_A + params.cDA*[0;1;0;1].*([0;0;1;1]*lam_D(m)+(1-[0;0;1;1])*lam_S) + params.cAA*[0;1;0;1].*[0;0;1;1]*lam_A(m) ) ) );
    A_forw( 4*(m-1)+(1:4) , : ) = bsxfun(@minus, A_forw( 4*(m-1)+(1:4) , : ) , params.dD*params.qD*( ksi_D + params.cDD*[0;1;0;1].*([0;0;1;1]*lam_D(m)+(1-[0;0;1;1])*lam_S) + params.cAD*[0;1;0;1].*[0;0;1;1]*lam_A(m) ) ...
                                                                             + params.dD*params.qA*( ksi_A + params.cDA*[0;1;0;1].*([0;0;1;1]*lam_D(m)+(1-[0;0;1;1])*lam_S) + params.cAA*[0;1;0;1].*[0;0;1;1]*lam_A(m) ) );
end

A_forw = max( exp( bsxfun(@minus,A_forw,max(A_forw)) ), realmin );
%A_forw = exp( bsxfun(@minus,A_forw,max(A_forw)) ); % Don't safeguard against underflow 


%% filter forward in combined state-space
    n  = 1;
    A_forw(:,n) =      A_forw(:,n) .* O';
    A_forw(:,n) =      A_forw(:,n) / sum( A_forw(:,n) );
for n = 2 : params.N
    A_forw(:,n) =      A_forw(:,n) .* ( P' * A_forw(:,n-1) );
    A_forw(:,n) =      A_forw(:,n) / sum( A_forw(:,n) );
end


%% sample backward in combined state-space

cn = nan(1,params.N);
    cn(params.N) = sample( A_forw(:,params.N) );
for n = params.N-1 : -1 : 1
    cn(n) = sample( A_forw(:,n) .* P(:,cn(n+1)) );
end


%% recover original state-space

fn_D = mod(     cn+1   ,2);
fn_A = mod(ceil(cn/2-1),2);
sn   =     ceil(cn/4     );

