function [ bm, pm, ps ] = update_transition_probs(sn,bm,params)

%% first gather counts
pm = zeros(params.M);
for n=2:params.N
    pm( sn(n-1) , sn(n) ) = pm( sn(n-1) , sn(n) ) + 1;
end

ps = zeros(1,params.M);
ps(sn(1)) = 1;

%% then update base
for rep = 1:params.rep_bm

    % resample counts M
    M = zeros( params.M+1, params.M );
    Arm = repmat(params.alpha*bm,params.M+1,1);
    for jk = find(pm>0)'
        M(jk) = 1 + sum( double( rand(1,pm(jk)-1).*( (1:pm(jk)-1)+Arm(jk) ) < Arm(jk) ) );
    end
    	jk = sn(1);
        M(jk) = 1 + sum( double( rand(1,ps(jk)-1).*( (1:ps(jk)-1)+Arm(jk) ) < Arm(jk) ) );
    clear jk
    
    % resample base
    bm = dirrnd( params.gamma/params.M + sum(M) );
    
end



%% last sample transtions probs
pm = dirrnd(pm+params.alpha*bm(ones(params.M,1),:));
ps = dirrnd(ps+params.alpha*bm);


